---
title: "Gets a list of device connections for the given user"
slug: "gets-a-list-of-device-connections-for-the-given-user"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/gets-a-list-of-device-connections-for-the-given-user"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Gets a list of device connections for the given user
Get/api/v2/users/{userId}/deviceconnections
SecurityHTTPType bearer
Path parametersuserIdstringRequired
The ID of the user
Query parameterstimezonestringExampleAsia/Kolkata
namestring
typestring
connectivityStatusstring
subdomainstring
isFavoriteboolean
portfolioIdstring
siteIdstring
deviceIdstring
deviceNamestring
ipstring
hostnamestring
streetstring
citystring
statestring
countrystring
zipcodestring
sortarray of string
Sorting criteria in the format: field:asc|desc, field defaults to name and direction defaults to DESC. Example fields are: ['name', 'type', 'deviceName', 'ip', 'hostname', 'portfolioName', 'siteName', 'whenCreated']
DefaultdeviceName:asc & name:ascExample[
"deviceName:asc",
"name:asc"
]
Responses200
OK
Expand Allobject authorizationboolean
data Array of object (MyDeviceConnection) object attributesobject
connectionUrlstring
connectivityStatusstring
deviceobject descriptionstring
deviceTypestring
fstatestring
hostnamestring
iconobject namestring
idinteger
locationobject citystring
countrystring
statestring
streetstring
zipcodestring
namestring
repnetIpstring
fstatestring
idinteger
isFavoriteboolean
lastAccessAtstring
namestring
networkobject cidrstring
idstring
namestring
pathstring
portinteger
portfolioobject idstring
namestring
portsobject portRanges Array of object object endinteger
startinteger
siteobject idstring
namestring
subdomainstring
typestring
userobject emailstring
idstring
loginNamestring
namestring
whenChangedstring
whenCreatedstring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
404
Not Found
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
500
Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean